Subject: Re: bug#57012: Activating versus raising frames

From: Po Lu <[email-masked]>
Date: Sun, 07 Aug 2022 13:27:40 +0800

Daniel Colascione <[email-masked]> writes:

> Because, as a pragmatic matter, they don't. We're lucky if users read
> fatal error messages. People don't have time to trawl through
> documentation before trying something. They read about some cool new
> compilation mode on Reddit (scanning just the post titles of course),
> them try it. It's not that they're dumb. They've busy. It doesn't
> matter whether some file somewhere says a scenario isn't supported:
> users are going to try that scenario anyway if it plausibly looks like
> it might work, and when it doesn't, they're going to think less of the
> whole project. I'd feel much better if pgtk simply refused to start
> under X (explaining that it's not supported) than silently give users
> a poor experience.

How about adding a warning to configure.ac instead?  Do you think those
users will read that?